This is the mail archive of the cygwin mailing list for the Cygwin project.

Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

[ANNOUNCEMENT] Updated: readline-5.2.2-7, libreadline6-5.2.2-7

Hash: SHA1

A new release of readline and libreadline6, 5.2.2-7, is available for use,
replacing 5.2.1-6 as the current version.  5.1-5 remains the previous
version, to match the fact that a previous version of bash 3.1 is still

This incorporates a new upstream patch that avoids memory corruption on
long wrapped lines.

This version is not strictly behaviorally compatible with readline 5.1.  A
case has been reported where tab completion using bash 3.1 and readline
5.2 does not work quite right.  It is best to stick with either bash
3.1/readline 5.1, or upgrade both programs to bash 3.2.x/readline 5.2.x.
When you use setup.exe to upgrade, this should happen automatically.

See also the upstream documentation in /usr/share/doc/readline-5.2.2/.

The readline library will read a line from the terminal and return it,
allowing the user to edit the line with emacs or vi editing keys.  It also
allows a history feature, for editing previous entries, making command
line interfaces easier-to-use and more intuitive.

libreadline6 provides the .dlls needed for readline and history expansion
for dynamic linking in other programs, including bash and gdb; it is
required for a minimal cygwin installation.  The 6 in libreadline6
distinguishes incompatible API changes made to the prior libreadline4 and
libreadline5 libraries still available on the mirrors. readline provides
the documentation and the static libraries required for static linking;
you should only need it if you plan on compiling an application that links
with -lreadline or -lhistory.

To update your installation, click on the "Install Cygwin now" link on the web page.  This downloads setup.exe to your system.
Save it and run setup, answer the questions and pick up 'libreadline6'
from the 'Base' category (it should already be selected), or 'readline' in
the 'Devel' category.  Be sure that you do not have any cygwin programs
running during the upgrade.

Note that downloads from (aka aren't
allowed due to bandwidth limitations.  This means that you will need to
find a mirror which has this update, please choose the one nearest to you:

If you want to make a point or ask a question the Cygwin mailing list is
the appropriate place.

- --
Eric Blake
volunteer cygwin readline maintainer

To unsubscribe to the cygwin-announce mailing list, look at the
"List-Unsubscribe: " tag in the email header of this message.  Send email
to the address specified there.  It will be in the format:

If you need more information on unsubscribing, start reading here:

Please read *all* of the information on unsubscribing that is available
starting at this URL.

Version: GnuPG v1.4.5 (Cygwin)
Comment: Public key at
Comment: Using GnuPG with Mozilla -


Unsubscribe info:
Problem reports:

Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]